package nl.iobyte.themepark.commands.subcommands.region;

import nl.iobyte.commandapi.arguments.MessageArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Region;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.NoRegionArgument;

import java.util.List;

public class RegionCreateCommand extends SubCommand {

    public RegionCreateCommand()  {
        super("themepark.admin", "region", "create");

        addSyntax("/themepark region create <id> <name>")
                .addArgument(new NoRegionArgument())
                .addArgument(new MessageArgument());
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        String id = (String) list.get(0);
        String name = (String) list.get(1);

        ThemePark.getInstance().getAPI().getAttractionService().addRegion(new Region(
                id,
                name
        ));
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully created region &f"+id));
    }

}
