package nl.iobyte.themepark.commands.subcommands.ridecount;

import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.api.ridecount.objects.RideCount;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.themepark.commands.arguments.PlayerArgument;
import org.bukkit.entity.Player;
import java.util.List;

public class RideCountGetCommand extends SubCommand {

    public RideCountGetCommand()  {
        super("themepark.admin", "ridecount", "get");

        addSyntax("/themepark ridecount get <attraction> <player>")
                .addArgument(new AttractionArgument())
                .addArgument(new PlayerArgument());
    }

    
    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        Player player = (Player) list.get(1);

        RideCount count = ThemePark.getInstance().getAPI().getRideCountService().getCount(
                attraction.getID(),
                player.getUniqueId()
        );

        sender.sendMessage(Text.color(
                "&6&lThemeParkMC &f➢ You have ridden attraction: &f"+attraction.getID()+" &ffor &6"+(count == null ? 0 : count.getCount())+"x"
        ));
    }

}
